/* Generated with AuthorIT version 4.5.610  2/19/2009 6:49:38 PM */
Page=new Array();
Page[0]=new Array("ISBN: N/A&nbsp;","Parallels&nbsp;","660 SW 39th Street","Suite 205 ","Renton, Washington 98057","USA","Phone: +1 (425) 282 6400&nbsp;","Fax: +1 (425) 282 6444&nbsp;","&nbsp;","© Copyright 1999-2009,&nbsp;","Parallels, Inc.&nbsp;","All rights reserved&nbsp;","&nbsp;","Distribution of this work or derivative of this work in any form is prohibited unless prior written permission is obtained from the copyright holder.&nbsp;","&nbsp;","&nbsp;Patented technology protected by U.S.Patents 7,328,225; 7,325,017; 7,293,033; 7,099,948; 7,076,633.&nbsp;","Patents pending in the U.S.","&nbsp;","Product and service names mentioned herein are the trademarks of their respective owners.","Copyright Notice",
"47132.htm");
Page[1]=new Array("The following kinds of formatting in the text identify special information.","Formatting convention","Type of Information","Example","Special Bold","Items you must select, such as menu options, command buttons, or items in a list.","Go to the QoS tab.","Titles of chapters, sections, and subsections.","Read the Basic Administration chapter.","Italics","Used to emphasize the importance of a point, to introduce a term or to designate a command line placeholder, which is to be replaced with a real name or value.","The system supports the so called wildcard character search.","Monospace","The names of style sheet selectors, files and directories, and CSS fragments.","The license file is called license.key.","Preformatted Bold","What you type, contrasted with on-screen computer output.","Unix/Linux:","# cd /root/rpms/php","Windows:","&gt;cd %myfolder%","Preformatted","On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages.","Unix/Linux:","# ls –al /files","total 14470","Windows:","&gt;ping localhost","Reply from 127.0.0.1: bytes=32 time&lt;1ms TTL=128","Typographical Conventions",
"60795.htm");
Page[2]=new Array("If you have found a mistake in this guide, or if you have suggestions or ideas on how to improve this guide, please send your feedback using the online form at http://www.parallels.com/en/support/usersdoc/. Please include in your report the guide's title, chapter and section titles, and the fragment of text in which you have found an error.","Feedback",
"39588.htm");
Page[3]=new Array("This Guide provides detailed instructions on how to use the Parallels Plesk Panel File Server, a module that allows the administrator to manage shared resources on the server directly from the Parallels Plesk Panel.","About This Guide",
"5160.htm");
Page[4]=new Array("The File Server module enables Parallels Plesk Panel administrators to share directories on a network directly from the Parallels Plesk Panel. Using the Parallels Plesk Panel File Server, you can share access to a directory on your server, grant access to this directory to specific users or hosts, and assign read-only or write permissions for this directory. File Server uses the Microsoft SMB (Server Message Block) protocol to share resources on a Samba server for network users.","For the Parallels Plesk Panel File Server, the Samba server (version 2.2.x or 3.x) must be installed and properly configured.","Using Parallels Plesk Panel File Server",
"5161.htm");
Page[5]=new Array("The Parallels Plesk File Server interface is generally the same as that of other Parallels Plesk Panel pages. View the instructions below to familiarize yourself with the Parallels Plesk Panel interface basics.","A Parallels Plesk Panel page includes the following elements:","top area contains the logo image;","navigation pane contains navigation items and the context help area;","work area contains the groups of available operations (based on the current context), input forms, lists, and other similar interface elements.","The Parallels Plesk Panel work area includes all interface elements located to the right of the navigation pane. The work area displays the options available for the shortcut selected in the navigation pane. For example, if you select the Modules shortcut in the navigation pane, the work area will display all currently installed Parallels Plesk Panel modules.","Path bar is a chain of links indicating your current location within the Parallels Plesk Panel system. It is located at the top of the Parallels Plesk Panel work area. By clicking these links, you can jump to one or more levels up. You can also use the Up Level button located in the upper right corner of each screen to return to the previous page.","Lists of objects. You may have a considerable number of objects, such as users, shares, etc., handled by your Parallels Plesk Panel module. To facilitate working with different lists of objects, use the search and sorting options. ","To search through a list, enter the search pattern into the search field, and click Search. All matching items will be displayed in a reduced list. To show the entire list of objects, click Show All.","To sort a list by a certain parameter in either ascending or descending order, click on the parameter's name in the column heading. The order of sorting will be indicated by a small triangle displayed next to the parameter's name.","To remove an entry from the list, check the boxes at the end of the list and click Remove Selected.","Becoming Familiar With File Server Interface",
"5162.htm");
Page[6]=new Array("To access the File Server:","Click the Modules shortcut in the navigation pane &gt; Samba File Server Configuration. The page that opens is the File Server management page from where you can perform all File Server operations. This page has five tabs: Status, Shares, Users, Interfaces, and Access. Each of these tabs contains tools for managing shared resources, file server properties, network interfaces, and users and computers who will have access to the shared directories.","How to Access File Server",
"5163.htm");
Page[7]=new Array("To configure server preferences, you can perform the following actions:","Disable your file server;","View and edit file server preferences;","View the current usage of shared resources;","Refresh server statistics.","To disable your file server:","Go to Modules &gt; File Server &gt; Status.","Click the Disable button.","To view the current status of your file server:","Go to Modules &gt; File Server &gt; Status.","In the Current statistics section, view whether your file server is started or stopped. The statistics on the current connections to shared directories is provided in the table with the following columns:","Share, name of the shared resource;","Host, name of the remote host currently connected to the shared directory;","User, user name who is currently connected to the shared directory.","To view and edit the file server preferences:","Go to Modules &gt; File Server &gt; Status &gt; Preferences. The page that opens displays the preferences of your file server.","To change the workgroup for your server on the Microsoft network, click in the Workgroup field and enter the name of a workgroup. If needed, edit the description in the Description field containing an optional description of your file server.","You can also configure the following security parameters for your Samba server:","Authentication mode. Select one of the following security modes:","Share - in this security mode, the user authenticates themselves separately for each share. The user sends a password along with each tree connection (share mount). Passwords are meant to be associated with each share, independent of the user.","User - this security mode is based on verifying the username and password. The server can either accept or reject the username and password combination. At this stage the server has no idea what share the client will eventually try to connect to, so it bases the accept/reject decision only on the username and password and the name of the client machine.","Server - in Server Security Mode, the Samba server receives the username and password from the client and sends a session setup request to the machine designated as the password server. If the password server is in user-level security and accepts the password, Samba accepts the client's connection. The client sends all passwords in encrypted form. This security mode requires the use of a password server (see Authentication server).","Domain - in Domain Security Mode, the Samba server has a domain security trust account (a machine account) and causes all authentication requests to be passed through to the domain controllers. In other words, domain security has basically the same concept as server security mode, with the exception that the Samba server becomes a member of a Windows NT domain. This means that the Samba server can participate in things such as trust relationships.","ADS - in this mode, the authentication procedure is performed through an Active Directory domain. Samba in this security mode can accept Kerberos tickets.","Authentication server. If you set the security mode to either Server, Domain, or ADS, you will need to specify the password server (or the authentication server). For user and share modes, the password server is not required.","In this field, enter the NetBIOS name of the SMB server used as a password server, on which the Samba server will check the entered passwords. You can list multiple NetBIOS names separated with a space. This allows Samba to attempt a session setup request to each machine in the list in order until a server is contacted. This means that the next machine on the list is contacted only if the previous machine was unavailable.","You must use only the NetBIOS name of the password server (not the IP address), and Samba must have a way of resolving the name to an IP address in order to attempt the connection.","To create a local account for all users that access the Samba server and disable the password field, set this field to the asterisk character (*).","Encrypt password. Select Yes if you want to store passwords used to authenticate users in encrypted form or No if password encryption is not required.","Guest account. In this drop- down box, select the system user whose rights will be granted to users logged on under the guest account. If you have no guest account on your server, select the no guest account option. If you need a guest account for anonymous users, it is advised that you select the nobody option.","For details on the Samba security configuration options, please refer to the relevant Samba documentation.","To refresh data on the current connections to your file server:","Go to Modules &gt; File Server &gt; Status.","Click the Refresh button. The list of current connections and file server status will be refreshed.","Configuring File Server Preferences",
"5386.htm");
Page[8]=new Array("To view the list of existing shared resources:","Go to Modules &gt; File Server &gt; Shares.","View the following information about each share:","Name, displays the name of the shared resource;","Real path, shows the path to the shared resource;","Description, contains the description of the shared directory as specified during its creation","W, write permissions show whether users can add new files to this directory. The @ icon means that write permissions are set for this directory. The @ icon means that the directory is read-only.","To add a new shared resource:","Go to Modules &gt; File Server &gt; Shares &gt; Add New Share.","In the Preferences group, enter the name of the shared directory, full path to the directory you want to share and its description. If you want to give write permissions on this directory to network users, select the Writable check box.","To select the users that will have access to the shared directory:","Select the Any user option if you want to grant access to the shared directory to all network users; ","Select the Selected only option to grant access to the shared directory only to specified users. Select the users that will have access to this directory from the Available users list by using the Add and Remove buttons. If access is allowed for some users, they should specify their login and password to access this folder.","Note: If you want to add other users to the Available users list, you must first add them using the Add New User button on the Users tab. See Managing Users on how to add new users.","Click OK.","To edit the properties of a share:","Go to Modules &gt; File Server &gt; Shares.","Click the name of the shared directory you want to edit.","Change the necessary parameters.","Click OK.","Managing Shares",
"5164.htm");
Page[9]=new Array("To view users that can have access to the shares:","Go to Modules &gt; File Server &gt; Users.","View users listed in a table with the following columns:","Name, displays the user's login;","System user, shows the system user account this File Server user belongs to.","To add a new user to the list of available users:","Go to Modules &gt; File Server &gt; Users &gt; Add New User. You will be taken to the Editing user information page.","Specify the following parameters:","System user - select the corresponding system user from the drop-down box the new user will belong to;","Name - user name (login) that will be used to access a share;","Password - password used to access a share;","Password confirmation - confirm the password.","All these fields are mandatory.","Note: You can add only one File Server user for each Unix system user.","To edit the user data:","Go to Modules &gt; File Server &gt; Users.","Click the user name you want to edit. You will be taken to the Editing user information page that is the same as that for creating a new user.","Change the parameters as needed.","Click OK.","Managing Users",
"5165.htm");
Page[10]=new Array("By default, broadcast mode is disabled for all network interfaces mainly for security reasons. Broadcast mode enables sending data packets to the broadcast address. However, you can manually prevent your File Server from sending broadcast packets to specified network interfaces.","To view the list of network interfaces:","Go to Modules &gt; File Server &gt; Interfaces.","The list is organized as a table with the following columns:","S - an icon indicating the status of the network interface. The @ icon shows that the broadcast mode for the interface is enabled, the @ icon shows that the broadcast mode is disabled for this interface, and the @ icon means that broadcast mode for this interface was enabled but now the interface is physically unavailable (was removed or corrupted).","Interface name - the name of the interface, for example, eth0, eth1, etc.","IP Addresses - all IP addresses and subnet addresses that work on this interface.","To enable broadcast mode for an interface:","Go to Modules &gt; File Server &gt; Interfaces.","Click the @ icon in the Status column of the table listing interfaces. The selected interface will be set to work in broadcast mode.","To disable broadcast mode for an interface:","Go to Modules &gt; File Server &gt; Interfaces.","Click the @ or @ icons in the Status column of the table. Broadcast mode will be switched off for the selected interface.","Managing Broadcast Interfaces",
"6170.htm");
Page[11]=new Array("If you want to enhance the security of your file server, you can regulate what hosts or networks will have access to your shared resources. Connections from other hosts will be refused by your file server.","To view all hosts and networks that have access to your file server:","Go to Modules &gt; File Server &gt; Access.","View the the table. If the list is empty, all hosts can access your file server. This is the default option.","To allow access to your server only from a specific range of hosts:","Go to Modules &gt; File Server &gt; Access &gt; Add New Host/Network.","Enter the IP address of the host you want to allow access (for example, 123.123.123.1) or the range of hosts (for example, network address/subnet mask written as 123.123.123.0/255.255.255.0).","Click OK.","This will only allow the specified hosts to successfully connect to the shared resources on your file server. All connections from other hosts will be refused by the file server.","To edit the list of hosts that have access to your server:","Go to Modules &gt; File Server &gt; Access.","Click the address of the host in the list of allowed hosts.","Edit the host IP address or subnet mask (for multiple hosts) in the Network/Host address field.","Click OK.","To remove an address from the list:","Go to Modules &gt; File Server &gt; Access.","Select the check box corresponding to the host address you want to remove and click Remove.","Select the Confirm removal check box and click OK.","Limiting Access to the File Server",
"6172.htm");
var PageCount=12;
function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="utf-8" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';

*/ /* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}
